### Method

# WebKit WebsiteDataManager get_itp_summary

since: 2.30

#### Declaration [src]

    void
    webkit_website_data_manager_get_itp_summary (
      WebKitWebsiteDataManager* manager,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get the list of `WebKitITPThirdParty` seen for `manager`.

Every `WebKitITPThirdParty` contains the list of `WebKitITPFirstParty` under which it has been seen.

When the operation is finished, `callback` will be called. You can then call `webkit_website_data_manager_get_itp_summary_finish()` to get the result of the operation.

Available since: 2.30

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.